# trim changelog included in binary rpms
%global _changelog_trimtime %(date +%s -d "1 year ago")

Name:           breeze-icon-theme
Summary:        Breeze icon theme
Version:        5.18.0
Release:        1%{?dist}

# http://techbase.kde.org/Policies/Licensing_Policy
License:        LGPLv3+
URL:            http://projects.kde.org/breeze-icons

%global versiondir %(echo %{version} | cut -d. -f1-2)
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0:        http://download.kde.org/%{stable}/frameworks/%{versiondir}/breeze-icons-%{version}.tar.xz

Patch1: fix-breeze-dark-inheritance.patch

# must come *after* patches or %%autosetup sometimes doesn't work right -- rex
BuildArch: noarch

BuildRequires:  cmake
BuildRequires:  extra-cmake-modules
BuildRequires:  kde-filesystem
BuildRequires:  kf5-rpm-macros
BuildRequires:  qt5-qtbase-devel

# icon optimizations
BuildRequires: hardlink
# for optimizegraphics
#BuildRequires: kde-dev-scripts
BuildRequires: time

# upstream name
Provides:       breeze-icons = %{version}-%{release}
Provides:       kf5-breeze-icons = %{version}-%{release}

# upgrade path, since this no longer includes cursors
Requires:       breeze-cursor-theme

%description
%{summary}.


%prep
%autosetup -n breeze-icons-%{version} -p1


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

## icon optimizations
#du -s  .
#time optimizegraphics ||:
du -s .
/usr/sbin/hardlink -c -v %{buildroot}%{_datadir}/icons/
du -s .

# create/own all potential dirs
mkdir -p %{buildroot}%{_kf5_datadir}/icons/{breeze,breeze-dark}/{16x16,22x22,24x24,32x32,36x36,48x48,64x64,96x96,128x128,512x512,scalable}/{actions,apps,devices,mimetypes,places}

# %%ghost icon.cache
touch  %{buildroot}%{_kf5_datadir}/icons/{breeze,breeze-dark}/icon-theme.cache


%check
# verify dark inheritence, notorious for getting lost
test "$(grep '^Inherits=' %{buildroot}%{_datadir}/icons/breeze-dark/index.theme)" = "Inherits=breeze"


%post
touch --no-create %{_kf5_datadir}/icons/breeze &> /dev/null || :
touch --no-create %{_kf5_datadir}/icons/breeze-dark &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_kf5_datadir}/icons/breeze &> /dev/null || :
gtk-update-icon-cache %{_kf5_datadir}/icons/breeze-dark &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_kf5_datadir}/icons/breeze &> /dev/null || :
  gtk-update-icon-cache %{_kf5_datadir}/icons/breeze &> /dev/null || :
  touch --no-create %{_kf5_datadir}/icons/breeze-dark &> /dev/null || :
  gtk-update-icon-cache %{_kf5_datadir}/icons/breze-dark &> /dev/null || :
fi

%files
%license COPYING-ICONS
%doc README.md
%ghost %{_datadir}/icons/breeze/icon-theme.cache
%ghost %{_datadir}/icons/breeze-dark/icon-theme.cache
%{_datadir}/icons/breeze/
%{_datadir}/icons/breeze-dark/


%changelog
* Sun Jan 03 2016 Daniel Vrátil <dvratil@fedoraproject.org> - 5.18.0-1
- KDE Frameworks 5.18.0

* Tue Dec 08 2015 Daniel Vrátil <dvratil@fedoraproject.org> - 5.17.0-1
- KDE Frameworks 5.17.0

* Sun Nov 15 2015 Rex Dieter <rdieter@fedoraproject.org> - 5.16.0-2
- Requires: breeze-cursor-theme (#1282203)
- use hardlink optimizer
- fix breeze dark inheritance (again)

* Sun Nov 08 2015 Daniel Vrátil <dvratil@fedoraproject.org> - 5.16.0-1
- KDE Frameworks 5.16.0

* Sun Nov 08 2015 Daniel Vrátil <dvratil@fedoraproject.org> - 5.16.0-1
- Moved to KDE Frameworks 5
